/*Copyright (C) 2010 Deveaux Duncan

This file is part of Hikou no mizu.

Hikou no mizu is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Hikou no mizu is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with Hikou no mizu.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef DEF_PLAYER_KEYS
#define DEF_PLAYER_KEYS

#include <SFML/Window.hpp>

//Class defining methods to get and set player's keys safely.
class PlayerKeys
{
    public:
        PlayerKeys();
        PlayerKeys(const sf::Keyboard::Key &attack, const sf::Keyboard::Key &jump, const sf::Keyboard::Key &moveLeft, const sf::Keyboard::Key &moveRight);
        
        void setAttackKey(const sf::Keyboard::Key &attackKey);
        const sf::Keyboard::Key &getAttackKey() const;
        
        void setJumpKey(const sf::Keyboard::Key &jumpKey);
        const sf::Keyboard::Key &getJumpKey() const;
        
        void setMoveLeftKey(const sf::Keyboard::Key &moveLeftKey);
        const sf::Keyboard::Key &getMoveLeftKey() const;
        
        void setMoveRightKey(const sf::Keyboard::Key &moveRightKey);
        const sf::Keyboard::Key &getMoveRightKey() const;
    
    private:
        sf::Keyboard::Key m_attack;
        sf::Keyboard::Key m_jump;
        
        sf::Keyboard::Key m_moveLeft;
        sf::Keyboard::Key m_moveRight;
};

#endif